package com.chenyang.nse.bussiness.entity.vo.dataproject;

import java.sql.Timestamp;
import java.util.Date;

public class DatasystemProjectdatasourceVO {
   private String project_id;
   private String tid;
   private String flag;
   private String sysname;
   private String localdir;
   private String versionname;
   private String dbtype;
   private String pagecode;
   private String dbip;
   private String dbport;
   private String servername;
   private String xmlpath;
   private String dbservername;
   private String dblinkname;
   private String username;
   private String password;
   private String istargetdb;
   private Date createtime;
   private String crud;
   private String datasystemid;
   private String plaintext;
   private String desensitize;

   public String getXmlpath() {
      return this.xmlpath;
   }

   public void setXmlpath(String xmlpath) {
      this.xmlpath = xmlpath;
   }

   public DatasystemProjectdatasourceVO() {
   }

   public DatasystemProjectdatasourceVO(String project_id, String tid, String flag, String sysname, String localdir, String versionname, String dbtype, String pagecode, String dbip, String dbport, String servername, String dbservername, String dblinkname, String username, String password, String istargetdb, Timestamp createtime, String crud, String datasystemid, String plaintext, String desensitize) {
      this.project_id = project_id;
      this.tid = tid;
      this.flag = flag;
      this.sysname = sysname;
      this.localdir = localdir;
      this.versionname = versionname;
      this.dbtype = dbtype;
      this.pagecode = pagecode;
      this.dbip = dbip;
      this.dbport = dbport;
      this.servername = servername;
      this.dbservername = dbservername;
      this.dblinkname = dblinkname;
      this.username = username;
      this.password = password;
      this.istargetdb = istargetdb;
      this.createtime = createtime;
      this.crud = crud;
      this.datasystemid = datasystemid;
      this.plaintext = plaintext;
      this.desensitize = desensitize;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getPlaintext() {
      return this.plaintext;
   }

   public void setPlaintext(String plaintext) {
      this.plaintext = plaintext;
   }

   public String getDesensitize() {
      return this.desensitize;
   }

   public void setDesensitize(String desensitize) {
      this.desensitize = desensitize;
   }

   public String getCrud() {
      return this.crud;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public void setCrud(String crud) {
      this.crud = crud;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getTid() {
      return this.tid;
   }

   public void setTid(String tid) {
      this.tid = tid;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getVersionname() {
      return this.versionname;
   }

   public void setVersionname(String versionname) {
      this.versionname = versionname;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getPagecode() {
      return this.pagecode;
   }

   public void setPagecode(String pagecode) {
      this.pagecode = pagecode;
   }

   public String getDbip() {
      return this.dbip;
   }

   public void setDbip(String dbip) {
      this.dbip = dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public void setDbport(String dbport) {
      this.dbport = dbport;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getIstargetdb() {
      return this.istargetdb;
   }

   public void setIstargetdb(String istargetdb) {
      this.istargetdb = istargetdb;
   }
}
